Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookWebhooks are a messaging mechanism that allow you to get notified on an endpoint of your choice as soon as certain events happen in Bookingmood.
For more information on the webhook mechanics, see our documentation
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
descriptiontextAn optional description of the webhook
endpointtextURL to which notifications should be sent
eventsArray<WebhookEvent>Events to which the webhook is subscribed. For possible values, see a complete list
signing_secrettextString used to sign each notification send to the webhook. Used to verify the validity of the webhook notifications.
sourcetextFrom where the webhook is registered. Can be from the admin, via the API, or via an external tool such as Zapier.
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:19:01.541Z",
"updated_at": "2026-03-12T05:19:01.541Z",
"description": "",
"endpoint": "",
"events": [
"bookings.created",
"contacts.updated"
],
"signing_secret": "md5((random())::text)",
"source": ""
}idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this webhook is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
descriptionFilter<text>An optional description of the webhook
endpointFilter<text>URL to which notifications should be sent
eventsFilter<Array<WebhookEvent>>Events to which the webhook is subscribed. For possible values, see a complete list
signing_secretFilter<text>String used to sign each notification send to the webhook. Used to verify the validity of the webhook notifications.
sourceFilter<text>From where the webhook is registered. Can be from the admin, via the API, or via an external tool such as Zapier.
200A list of webhooks with the selected columns
206Partial Content
GET /webhookscurl -X GET "https://api.bookingmood.com/v1/webhooks?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Webhook> | Array<Partial<Webhook>>201The newly created webhooks with the selected columns
POST /webhookscurl -X POST "https://api.bookingmood.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this webhook is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
descriptionFilter<text>An optional description of the webhook
endpointFilter<text>URL to which notifications should be sent
eventsFilter<Array<WebhookEvent>>Events to which the webhook is subscribed. For possible values, see a complete list
signing_secretFilter<text>String used to sign each notification send to the webhook. Used to verify the validity of the webhook notifications.
sourceFilter<text>From where the webhook is registered. Can be from the admin, via the API, or via an external tool such as Zapier.
204The deleted webhooks with the selected columns
DELETE /webhookscurl -X DELETE "https://api.bookingmood.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this webhook is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
descriptionFilter<text>An optional description of the webhook
endpointFilter<text>URL to which notifications should be sent
eventsFilter<Array<WebhookEvent>>Events to which the webhook is subscribed. For possible values, see a complete list
signing_secretFilter<text>String used to sign each notification send to the webhook. Used to verify the validity of the webhook notifications.
sourceFilter<text>From where the webhook is registered. Can be from the admin, via the API, or via an external tool such as Zapier.
Partial<Webhook>204The updated webhooks with the selected columns
PATCH /webhookscurl -X PATCH "https://api.bookingmood.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'